package com.vpn.fastestvpnservice.navigation

import androidx.compose.runtime.Composable
import androidx.lifecycle.viewmodel.compose.viewModel
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.vpn.fastestvpnservice.screens.BottomBarMainScreen
import com.vpn.fastestvpnservice.screens.ForgotPassword
import com.vpn.fastestvpnservice.screens.Login
import com.vpn.fastestvpnservice.screens.SignUp
import com.vpn.fastestvpnservice.screens.Splash
import com.vpn.fastestvpnservice.screens.Started
import com.vpn.fastestvpnservice.screens.helpScreensAll.FAQ
import com.vpn.fastestvpnservice.sealedClass.Screen

@Composable
fun SetUpNavGraph(navHostController: NavHostController) {
    NavHost(navController = navHostController,
        startDestination = Screen.Splash.route,
        ) {
        composable(route = Screen.Splash.route) {
            Splash(navHostController)
        }
        composable(route = Screen.Login.route) {
            Login(navHostController)
        }
        composable(route = Screen.SignUp.route) {
            SignUp(navHostController)
        }
        composable(route = Screen.ForgotPassword.route) {
            ForgotPassword(navHostController = navHostController)
        }
        composable(route = Screen.Started.route) {
            Started(navHostController = navHostController)
        }
        composable(route = Screen.BottomBarMainScreen.route) {
            BottomBarMainScreen(navController = navHostController)
        }
    }
}